//VideoStream
//Esta clase se utiliza para leer el archivo de video
import java.io.*;

public class VideoStream {

  private FileInputStream file; //archivo de video
  private int frame_nb; //actual frame nb
  
  //constructor
  
  public VideoStream(String filename) throws Exception
  {
  //init variables
	try{
    file = new FileInputStream(filename);
	}catch(Exception e){
		System.out.println("Archivo no encontrado.");
		System.exit(0);
	}
    frame_nb = 0;
  }

  // getnextframe
  //devuelve el siguiente frame como un array de bytes y devuelve el tamaño del frame
  
  public int getnextframe(byte[] frame) throws Exception 
  { 
    int length = 0;
    String length_string;
    byte[] frame_length = new byte[5];

    //lee el tamaño actual del frame
    file.read(frame_length,0,5);

    //transforma el tamaño del frame en un entero
    length_string = new String(frame_length);
    length = Integer.parseInt(length_string);

    return(file.read(frame,0,length)); 
  }
}